Skip to main content
POST
/
conferences
/
{id}
/
actions
/
record_resume
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const response = await client.conferences.actions.recordResume('id');

console.log(response.data);
import os
from telnyx import Telnyx

client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.conferences.actions.record_resume(
id="id",
)
print(response.data)
package main

import (
"context"
"fmt"

"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)

func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Conferences.Actions.RecordResume(
context.TODO(),
"id",
telnyx.ConferenceActionRecordResumeParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package com.telnyx.sdk.example;

import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.conferences.actions.ActionRecordResumeParams;
import com.telnyx.sdk.models.conferences.actions.ActionRecordResumeResponse;

public final class Main {
private Main() {}

public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();

ActionRecordResumeResponse response = client.conferences().actions().recordResume("id");
}
}
require "telnyx"

telnyx = Telnyx::Client.new(api_key: "My API Key")

response = telnyx.conferences.actions.record_resume("id")

puts(response)
<?php

require_once dirname(__DIR__) . '/vendor/autoload.php';

use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;

$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');

try {
$response = $client->conferences->actions->recordResume(
'id',
commandID: '891510ac-f3e4-11e8-af5b-de00688a4901',
recordingID: '891510ac-f3e4-11e8-af5b-de00688a4901',
region: 'US',
);

var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}
telnyx conferences:actions record-resume \
--api-key 'My API Key' \
--id id
curl --request POST \
--url https://api.telnyx.com/v2/conferences/{id}/actions/record_resume \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"command_id": "891510ac-f3e4-11e8-af5b-de00688a4901",
"recording_id": "891510ac-f3e4-11e8-af5b-de00688a4901",
"region": "US"
}
'
{
  "data": {
    "result": "ok"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Specifies the conference by id or name

Body

application/json
command_id
string

Use this field to avoid duplicate commands. Telnyx will ignore any command with the same command_id for the same call_control_id.

Example:

"891510ac-f3e4-11e8-af5b-de00688a4901"

recording_id
string

Use this field to resume specific recording.

Example:

"891510ac-f3e4-11e8-af5b-de00688a4901"

region
enum<string>

Region where the conference data is located. Defaults to the region defined in user's data locality settings (Europe or US).

Available options:
Australia,
Europe,
Middle East,
US
Example:

"US"

Response

Successful response upon making a conference command.

data
Conference Command Result · object
Example:
{ "result": "ok" }